Skip to main content
`Ctrl`+`K`

# DMSwarmGetCellDMByName

Get a `DMSwarmCellDM` from its name

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetCellDMByName(DM sw, const char name[], DMSwarmCellDM *celldm)

Not collective

## Input Parameters

- sw - a `DMSWARM`

- name - the name

## Output Parameter

- celldm - the `DMSwarmCellDM`

## See Also

`DM`, `DMSWARM`, `DMSwarmSetCellDM()`, `DMSwarmGetCellDMNames()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages